Skip to content

Update bulk sender

Request

Update the existing bulk sender

Security
oauth2(Required scopes: bulksender:update) or bearerAuth or apiKeyHeader
Path
bulkSenderIdstring(AnyId)^ext-|^[A-Z][A-Z0-9]-[A-Z0-9]+-[A-Z0-9]+|^\d+$write-onlyrequired

Peach's unique or lender's external identifier.

Bodyapplication/json
externalIdstring or null, [ 1 .. 200 ] characters

A lender's identifier for an object.

After the object is successfully created, a lender can use ID or externalId identifiers to fetch the object.

To fetch the object using externalId you need to add ext- to the URL.

Note: Don't add ext- to the identifier value. For example: if the external identifier is ABCDE, then pass externalId=ABCDE and NOT ext-ABCDE when creating the object.

interactionChannelstring or null(BulkSenderInteractionChannel)

The channel to which the bulk sender will send.

If no channel is specified the campaign will send to all channels with a defined template.

WARNING: Only mail, text, and email are compatible with the campaigns system.

Enum:"voice""email""fax""text""chat""mail""gui""document"
interactionSubjectstring(InteractionSubject)

The subject of the interaction. The subject identifies the category of the content in the message.

Most subjects have an associated implicit theme. e.g., loanOverdueFirstNotice has a theme of opsCollDebt. For these subjects it is not necessary to specify a theme.

Some subjects like freeForm and custom<N> do not have an implicit theme. When using these subjects you must specify a theme.

DEPRECATED: locStatementGenerated and locStatementRegenerated are deprecated. They will be automatically converted into statementGenerated and statementRegenerated respectively. You should switch to use those subjects directly.

DEPRECATED: failedSettlementPeach is deprecated. This was always a subject used by the Peach application internally, and will no longer be used. Attempts to set this subject will be rejected with a 400 error.

Enum:"annualPrivacyPolicyNotice""autopayAgreement""autopayAmountChanged""autopayCanceledBySystem""autopayEnabled""autopayEnableReminder""autopayPaymentCanceled""autopayPaymentMethodUpdated""autopayPaymentReminder""autopayPaymentRescheduled"
interactionThemestring or null(InteractionTheme)

The reason why an interaction occurred.

For example:

  • An outbound debt collection call should be marked as opsCollDebt.
  • An annual privacy policy update email should be marked as opsServicing.
  • A customer service response to borrower's inquiry should be marked as opsServicing.

DEPRECATED: inbBug, inbHumanLove, and opsServicingNegativeCreditReportNotice are deprecated: you cannot create or update interactions to have these values.

Enum:"agentNotification""opsCollDebt""opsCollLocateBorrower""opsCollVerifyEmployment""opsCollContactEmployerNotice""opsServicingDebtValidation""opsServicingNegativeCreditReportNotice""opsServicingTimeBarredNotice""opsServicing""opsAccountCredentials"
PUT
/campaign-workers/bulk-senders/{bulkSenderId}
curl -i -X PUT \
  'https://sandboxapi.peach.finance/api/campaign-workers/bulk-senders/{bulkSenderId}' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "externalId": "string",
    "interactionChannel": "voice",
    "interactionSubject": "annualPrivacyPolicyNotice",
    "interactionTheme": "agentNotification"
  }'

Responses

success

Bodyapplication/json
messagestring

Description of the server action or error.

statusinteger

HTTP status code.

dataobject(BulkSender)
Response
{ "message": "string", "status": 0, "data": { "createdAt": "2019-08-24T14:15:22Z", "deletedAt": "2019-08-24T14:15:22Z", "id": "string", "updatedAt": "2019-08-24T14:15:22Z", "externalId": "string", "interactionChannel": "voice", "interactionSubject": "annualPrivacyPolicyNotice", "interactionTheme": "agentNotification" } }